Bug 2238440 - python-fastapi: FTBFS in Fedora Rawhide
Summary: python-fastapi: FTBFS in Fedora Rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fastapi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-11 21:30 UTC by Maxwell G
Modified: 2023-09-20 00:19 UTC (History)
3 users (show)

Fixed In Version: python-fastapi-0.103.1-3.fc40 python-fastapi-0.103.0-3.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-12 11:22:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Maxwell G 2023-09-11 21:30:00 UTC
Description of problem:
Package python-fastapi fails to build from source in Fedora Rawhide.

Version-Release number of selected component (if applicable):
0.103.1-2.fc40

Steps to Reproduce:
koji build --scratch f40 python-fastapi-0.103.1-2.fc40.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-fastapi

Comment 1 Fedora Update System 2023-09-12 11:21:44 UTC
FEDORA-2023-448aa48f3b has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-448aa48f3b

Comment 2 Fedora Update System 2023-09-12 11:22:36 UTC
FEDORA-2023-448aa48f3b has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-09-12 13:02:07 UTC
FEDORA-2023-cae8a7141b has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-cae8a7141b

Comment 4 Fedora Update System 2023-09-12 21:38:54 UTC
FEDORA-2023-cae8a7141b has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-cae8a7141b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-cae8a7141b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-09-20 00:19:09 UTC
FEDORA-2023-cae8a7141b has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.